import * as z from 'zod';
// prettier-ignore
export const CloudFolderModelSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    name: z.string(),
    parentId: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    parent: z.unknown().nullable(),
    children: z.array(z.unknown()),
    user: z.unknown(),
    patient: z.unknown().nullable(),
    files: z.array(z.unknown()),
    createdAt: z.date(),
    updatedAt: z.date()
}).strict();

export type CloudFolderPureType = z.infer<typeof CloudFolderModelSchema>;
